﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DotP2013_Card_Builder
{
	class SubType : IComparable
	{
		private string m_strName;
		private int m_nOrder;

		public SubType()
		{ }

		public SubType(string strName)
		{
			m_strName = strName;
		}

		public SubType(string strName, int nOrder)
		{
			m_strName = strName;
			m_nOrder = nOrder;
		}

		public string Name
		{
			get
			{
				return m_strName;
			}
			set
			{
				m_strName = value;
			}
		}

		public int Order
		{
			get
			{
				return m_nOrder;
			}
			set
			{
				m_nOrder = value;
			}
		}

		public override string ToString()
		{
			return Name;
		}

		public virtual string GetCardText(int nNumSubTypes)
		{
			throw new NotImplementedException();
		}

		public virtual int CompareTo(object obj)
		{
			SubType stOther = obj as SubType;
			if (stOther != null)
				return Name.CompareTo(stOther.Name);
			else
				return 0;
		}
	}
}
